Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.urltodata.ai/v1/keys/create \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "scopes": [] } '
import requests url = "https://api.urltodata.ai/v1/keys/create" payload = { "name": "<string>", "scopes": [] } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: '<string>', scopes: []}) }; fetch('https://api.urltodata.ai/v1/keys/create', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "apiKey": "<string>", "key": { "keyId": "<string>", "name": "<string>", "scopes": [] } }
{ "error": "<string>", "message": "<string>", "details": "<string>", "documentationUrl": "<string>" }
API key as Bearer token (e.g. Bearer mp_abc123_secret)
Custom key name
Optional API scopes for the new key. Omit for full access.
1
account:read
usage:read
content:run
jobs:read
crawl:run
keys:read
keys:write
credits:purchase
API key created
Show child attributes